From 64d1d837e854fcbe5c1de76a395318f4ec0e4553 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jun 26 2024 01:55:49 +0000
Subject: [PATCH 205/220] fix: *srpm script


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/scripts/no-sources-srpm.sh b/scripts/no-sources-srpm.sh
index af37aea..fa0711b 100644
--- a/scripts/no-sources-srpm.sh
+++ b/scripts/no-sources-srpm.sh
@@ -15,7 +15,7 @@ repo=$5
 cp $path_to_spec $name.spec 2>/dev/null || :
 
 # Make replacements to specfile
-sed -i "/^Version: ### / s/.*/Version:           $version~^%{commitdate}git%{sub %{commit} 1 7}/" $name.spec
+sed -i "/^Version: / s/.*/Version:           $version~^%{commitdate}git%{sub %{commit} 1 7}/" $name.spec
 sed -i "/^%global commit / s/.*/%global commit none/" $name.spec
 current_date=$(date +'%Y%m%d.%H')
 sed -i "/^%global commitdate / s/.*/%global commitdate $current_date/" $name.spec
diff --git a/scripts/srpm.sh b/scripts/srpm.sh
index b971b96..b119901 100644
--- a/scripts/srpm.sh
+++ b/scripts/srpm.sh
@@ -47,7 +47,7 @@ tar -pczf $SOURCE_NAME-$COMMIT.tar.gz $SOURCE_NAME-$COMMIT
 rm -rf $SOURCE_NAME-$COMMIT
 
 # Make replacements to specfile
-sed -i "/^Version: ### / s/.*/Version:           $VERSION~^%{commitdate}git%{sub %{commit} 1 7}/" $NAME.spec
+sed -i "/^Version: / s/.*/Version:           $VERSION~^%{commitdate}git%{sub %{commit} 1 7}/" $NAME.spec
 sed -i "/^%global commit / s/.*/%global commit $COMMIT/" $NAME.spec
 
 sed -i "/^%global commitdate / s/.*/%global commitdate $COMMITDATE/" $NAME.spec

